[package]
name = "jean-marie"
version = "0.1.1"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

# Update all dependencies with `cargo upgrade -i allow && cargo update`
[dependencies]
axum = { version = "0.7.6" }
axum_session = { version = "0.14.2" }
axum-server = { version = "0.7.1" }
axum-extra = { version = "0.9.4", features = ["cookie-private", "typed-header"] }
headers = "0.4"
serde = { version = "1.0", features = ["derive"] }
serde_json = "1.0"
tokio = { version = "1.40", features = ["full"] }
tracing = "0.1"
tracing-subscriber = { version="0.3", features = ["env-filter"] }
askama = "0.12"
minijinja = { version = "2", features = ["loader"] }
oauth2 = "4.4"
http = "1.1"
tower-http = { version = "0.6.0", features = ["full"] }
chrono = { version = "0.4.38", features = ["serde"] }
sqlx = { version = "0.8", features = ["sqlite", "runtime-tokio"] }
uuid = { version = "1.10", features = ["v4"] }
dotenvy = "0.15"
constant_time_eq = "0.3"
reqwest = "0.12"
